Skip to content

Create Component

Request

Create a new component. Requires Component Manager authorization.

Security
BearerAuth
Bodyapplication/jsonrequired

Component creation request

char_limitinteger
component_human_namestring

Required

is_enabledboolean

Default: true

value_type_namestring

Required: TEXT, IMAGE, VIDEO, INTEGER, SUBTITLE

POST
/component_creatives/v3.0/components
curl -i -X POST \
  https://api.mediamath.com/component_creatives/v3.0/components \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "char_limit": 0,
    "component_human_name": "string",
    "is_enabled": true,
    "value_type_name": "string"
  }'

Responses

Component created successfully

Bodyapplication/json
dataobject(models.Component)

Component definition

metaobject(models.MetaInfo)

Response metadata

Response
{ "data": { "char_limit": 0, "component_human_name": "string", "component_id": 0, "created_at": "string", "is_enabled": true, "updated_at": "string", "value_type_name": "string" }, "meta": { "code": 0, "count": 0, "next_page": "string", "offset": 0, "prev_page": "string", "status": "string", "total_count": 0, "type": "string" } }